Subject: Re: Sources - Heirloom and Icelandic Poppies

From: [email-masked] (Steven Cangemi)
Date: Wed, 4 Jan 1995 20:03:19 GMT

In article <[email-masked]>, Wade Hooker <[email-masked]> writes:

|> I'm looking for a mailorder source for heirloom poppies/seeds.  I believe
|> one variety is Helen Elizabeth.  Also, any sources for Zone 5 hardy
|> Icelandic poppies would be appreciated.  Thank you for any leads or
|> suggestions.
|> 
|> Wade Hooker (Upstate New York)

Royal River Roses in Maine, (207) 829-5830 has Icelandic Poppy Seeds.

Steven		Mid Hudson Valley		Zone 5